%define upstream_name    App-Stacktrace
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Stack trace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: gdb

%description
perl-stacktrace prints Perl stack traces of Perl threads for a given Perl
process. For each Perl frame, the full file name and line number are
printed.

For example, a stack dump of a running perl program:

    $ ps x | grep cpan
    24077 pts/12   T      0:01 /usr/local/bin/perl /usr/local/bin/cpan
    24093 pts/12   S+     0:00 grep cpan

    $ perl-stacktrace 24077
    0x00d73416 in __kernel_vsyscall ()
    /usr/local/bin/cpan:11
    /usr/local/lib/perl5/5.12.2/App/Cpan.pm:364
    /usr/local/lib/perl5/5.12.2/App/Cpan.pm:295
    /usr/local/lib/perl5/5.12.2/CPAN.pm:339
    /usr/local/lib/perl5/5.12.2/Term/ReadLine.pm:198

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/perl-stacktrace
/usr/share/man/man1/perl-stacktrace.1.xz



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 541371
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 tv <tv> 0.90.0-1.mga4
+ Revision: 495788
- BR gdb
- enhanced description
- imported package perl-App-Stacktrace


* Sat Oct 12 2013 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
